package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.SysAccountDao;
import com.ym.mec.biz.dal.entity.SysAccount;
import com.ym.mec.biz.dal.entity.SysArea;
import com.ym.mec.biz.service.SysAccountService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

@Service
public class SysAccountServiceImpl extends BaseServiceImpl<Integer, SysAccount> implements SysAccountService {

    @Autowired
    private SysAccountDao sysAccountDao;

    @Override
    public BaseDAO<Integer, SysAccount> getDAO() {
        return sysAccountDao;
    }

    @Override
    public List<SysAccount> getAccount(String company, String channel, String type, BigDecimal amount) {
        return sysAccountDao.getAccount(company, channel, type, amount);
    }

    @Override
    public SysAccount getOneAccount(String company, String channel, String type, BigDecimal amount) {
        return sysAccountDao.getOneAccount(company,channel,type,amount);
    }

}